Create a personal identifier
curl --request POST \
--url https://api-sandbox.synctera.com/v0/persons/personal_ids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "21943c51-e4ff-4e57-9558-08cab6b963fe",
"id_type": "SSN",
"identifier": "123-45-6789",
"tenant": "abcdef_ghijkl",
"country_code": "<string>",
"expiry_date": "2020-01-01",
"issue_date": "2020-01-01"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/persons/personal_ids"
payload = {
"customer_id": "21943c51-e4ff-4e57-9558-08cab6b963fe",
"id_type": "SSN",
"identifier": "123-45-6789",
"tenant": "abcdef_ghijkl",
"country_code": "<string>",
"expiry_date": "2020-01-01",
"issue_date": "2020-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '21943c51-e4ff-4e57-9558-08cab6b963fe',
id_type: 'SSN',
identifier: '123-45-6789',
tenant: 'abcdef_ghijkl',
country_code: '<string>',
expiry_date: '2020-01-01',
issue_date: '2020-01-01'
})
};
fetch('https://api-sandbox.synctera.com/v0/persons/personal_ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/persons/personal_ids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => '21943c51-e4ff-4e57-9558-08cab6b963fe',
'id_type' => 'SSN',
'identifier' => '123-45-6789',
'tenant' => 'abcdef_ghijkl',
'country_code' => '<string>',
'expiry_date' => '2020-01-01',
'issue_date' => '2020-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/persons/personal_ids"
payload := strings.NewReader("{\n \"customer_id\": \"21943c51-e4ff-4e57-9558-08cab6b963fe\",\n \"id_type\": \"SSN\",\n \"identifier\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"country_code\": \"<string>\",\n \"expiry_date\": \"2020-01-01\",\n \"issue_date\": \"2020-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/persons/personal_ids")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_id\": \"21943c51-e4ff-4e57-9558-08cab6b963fe\",\n \"id_type\": \"SSN\",\n \"identifier\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"country_code\": \"<string>\",\n \"expiry_date\": \"2020-01-01\",\n \"issue_date\": \"2020-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/persons/personal_ids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"21943c51-e4ff-4e57-9558-08cab6b963fe\",\n \"id_type\": \"SSN\",\n \"identifier\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"country_code\": \"<string>\",\n \"expiry_date\": \"2020-01-01\",\n \"issue_date\": \"2020-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"customer_id": "21943c51-e4ff-4e57-9558-08cab6b963fe",
"country_code": "<string>",
"tenant": "abcdef_ghijkl",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id_type": "SSN",
"identifier": "123-45-6789",
"system_provided": true,
"expiry_date": "2020-01-01",
"issue_date": "2020-01-01"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Persons
Create a personal identifier
Create a personal identifier, e.g. SSN, for this customer
POST
/
persons
/
personal_ids
Create a personal identifier
curl --request POST \
--url https://api-sandbox.synctera.com/v0/persons/personal_ids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "21943c51-e4ff-4e57-9558-08cab6b963fe",
"id_type": "SSN",
"identifier": "123-45-6789",
"tenant": "abcdef_ghijkl",
"country_code": "<string>",
"expiry_date": "2020-01-01",
"issue_date": "2020-01-01"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/persons/personal_ids"
payload = {
"customer_id": "21943c51-e4ff-4e57-9558-08cab6b963fe",
"id_type": "SSN",
"identifier": "123-45-6789",
"tenant": "abcdef_ghijkl",
"country_code": "<string>",
"expiry_date": "2020-01-01",
"issue_date": "2020-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '21943c51-e4ff-4e57-9558-08cab6b963fe',
id_type: 'SSN',
identifier: '123-45-6789',
tenant: 'abcdef_ghijkl',
country_code: '<string>',
expiry_date: '2020-01-01',
issue_date: '2020-01-01'
})
};
fetch('https://api-sandbox.synctera.com/v0/persons/personal_ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/persons/personal_ids",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => '21943c51-e4ff-4e57-9558-08cab6b963fe',
'id_type' => 'SSN',
'identifier' => '123-45-6789',
'tenant' => 'abcdef_ghijkl',
'country_code' => '<string>',
'expiry_date' => '2020-01-01',
'issue_date' => '2020-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/persons/personal_ids"
payload := strings.NewReader("{\n \"customer_id\": \"21943c51-e4ff-4e57-9558-08cab6b963fe\",\n \"id_type\": \"SSN\",\n \"identifier\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"country_code\": \"<string>\",\n \"expiry_date\": \"2020-01-01\",\n \"issue_date\": \"2020-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/persons/personal_ids")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_id\": \"21943c51-e4ff-4e57-9558-08cab6b963fe\",\n \"id_type\": \"SSN\",\n \"identifier\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"country_code\": \"<string>\",\n \"expiry_date\": \"2020-01-01\",\n \"issue_date\": \"2020-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/persons/personal_ids")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"21943c51-e4ff-4e57-9558-08cab6b963fe\",\n \"id_type\": \"SSN\",\n \"identifier\": \"123-45-6789\",\n \"tenant\": \"abcdef_ghijkl\",\n \"country_code\": \"<string>\",\n \"expiry_date\": \"2020-01-01\",\n \"issue_date\": \"2020-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"customer_id": "21943c51-e4ff-4e57-9558-08cab6b963fe",
"country_code": "<string>",
"tenant": "abcdef_ghijkl",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id_type": "SSN",
"identifier": "123-45-6789",
"system_provided": true,
"expiry_date": "2020-01-01",
"issue_date": "2020-01-01"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
application/json
The type of the personal identifier. This cannot be changed once the personal identifier is created. One of the following:
ITIN- US Individual Tax Identification Number. Format is 987-65-4321. Country code will default to US.PASSPORT_NUMBER- Passport Number. Format varies by country. Country code is required.SIN- Canadian Social Insurance Number. Format is 123-456-789. Country code will default to CA.SSN- US Social Security Number. Format is 123-45-6789. Country code will default to US.DRIVER_LICENSE- Driver License Number. Format varies by country and state.STATE_ID- US State ID Number. Format varies by state.NATIONAL_ID- National ID Number. Format varies by country.TAX_ID- Tax ID Number. Format varies by country.CITIZENSHIP_CARD- Canadian Citizenship Card Number. Format is A1234567.PR_CARD- Permanent Resident Card Number. Format varies by country.PROVINCIAL_ID- Canadian Provincial ID Number. Format varies by province.SECURE_STATUS_CARD- Canadian Secure Status Card Number. Format is 1998-12-123456.
Available options:
CITIZENSHIP_CARD, DRIVER_LICENSE, ITIN, NATIONAL_ID, PASSPORT_NUMBER, PROVINCIAL_ID, PR_CARD, SECURE_STATUS_CARD, SIN, SSN, STATE_ID, TAX_ID Example:
"SSN"
Response
Created personal identifier.
The type of the personal identifier. This cannot be changed once the personal identifier is created. One of the following:
ITIN- US Individual Tax Identification Number. Format is 987-65-4321. Country code will default to US.PASSPORT_NUMBER- Passport Number. Format varies by country. Country code is required.SIN- Canadian Social Insurance Number. Format is 123-456-789. Country code will default to CA.SSN- US Social Security Number. Format is 123-45-6789. Country code will default to US.DRIVER_LICENSE- Driver License Number. Format varies by country and state.STATE_ID- US State ID Number. Format varies by state.NATIONAL_ID- National ID Number. Format varies by country.TAX_ID- Tax ID Number. Format varies by country.CITIZENSHIP_CARD- Canadian Citizenship Card Number. Format is A1234567.PR_CARD- Permanent Resident Card Number. Format varies by country.PROVINCIAL_ID- Canadian Provincial ID Number. Format varies by province.SECURE_STATUS_CARD- Canadian Secure Status Card Number. Format is 1998-12-123456.
Available options:
CITIZENSHIP_CARD, DRIVER_LICENSE, ITIN, NATIONAL_ID, PASSPORT_NUMBER, PROVINCIAL_ID, PR_CARD, SECURE_STATUS_CARD, SIN, SSN, STATE_ID, TAX_ID Example:
"SSN"
Was this page helpful?

